/**
 * geis_instance.c
 */
#include "geis_instance.h"

#include "geis_dbus.h"
#include <stdlib.h>


GeisInstance
geis_instance_get(GeisDbus* dbus)
{
	GeisInstance instance = calloc(1, sizeof(GeisInstance));
	if (instance)
	{
		instance->dbus = geis_dbus_get();
	}
	return instance;
}

void
geis_instance_free(GeisInstance instance)
{
	geis_dbus_free(instance->dbus);
}
