/**
 * geis.c
 *
 * dBus-based GEIS implementation
 */
#include <geis/geis.h>

#include "geis_instance.h"

GeisStatus
geis_init(GeisWinInfo *win_info, GeisInstance *geis_instance)
{
	*geis_instance = geis_instance_get();
	return GEIS_UNKNOWN_ERROR;
}


GeisStatus
geis_finish(GeisInstance geis_instance)
{
	geis_instance_free(geis_instance);
	return GEIS_UNKNOWN_ERROR;
}

GeisStatus
geis_input_devices(GeisInstance       geis_instance,
                   GeisInputCallback  callback,
                   void              *cookie)
{
	return GEIS_UNKNOWN_ERROR;
}

GeisStatus
geis_subscribe(GeisInstance         geis_instance,
               GeisInputDeviceId   *input_list,
               const char*         *gesture_list,
               GeisGestureCallback  callback,
               void                *cookie)
{
	return GEIS_UNKNOWN_ERROR;
}

GeisStatus
geis_unsubscribe(GeisInstance     geis_instance,
                 GeisGestureType *gesture_list)

{
	return GEIS_STATUS_SUCCESS;
}

