/**
 * geis_instance.h
 */
#ifndef GEIS_INSTANCE_H_
#define GEIS_INSTANCE_H_

#include "geis_config.h"
#include <geis/geis.h>
#include "geis_dbus.h"

struct _GeisInstance
{
	GeisDbus            *dbus;
	GeisInputCallback    input_callback;
	void                *input_cookie;
	GeisGestureCallback  gesture_callback;
	void                *gesture_cookie;
};

GeisInstance geis_instance_get() DSO_PRIVATE;

void geis_instance_free(GeisInstance instamce) DSO_PRIVATE;

#endif /* GEIS_INSTANCE_H_ */
